Get Price
Retrieve device pricing filtered by type (instant/review), warranty, and device type. Returns the user IP address
/api/priceRichiesta parametri
Tutti i parametri possono essere passati tramite Query o Body
| Parametro | Tipo | Obbligo | Descrizione |
|---|---|---|---|
token | string | Obbligo | User API token Esempio: your_api_token_here |
type | string | Facoltativo | Price type: instant or review. Empty or 'all' returns all types instantreviewall Esempio: instant |
warranty | string | Facoltativo | Warranty type: 0/1/2/3/4/6. Empty or 'all' returns all warranty types 012346all Esempio: 1 |
deviceType | string | Facoltativo | Device type: iphone or ipad. Empty or 'all' returns all device types iphoneipadall Esempio: iphone |
Risposta
| Parametro | Tipo | Obbligo | Descrizione |
|---|---|---|---|
code | number | Obbligo | Status code: 1=success, 0=failure Esempio: 1 |
msg | string | Obbligo | Response message Esempio: 查询成功 |
time | number | Obbligo | Server timestamp (Unix seconds) Esempio: 1769675945 |
data | object | Obbligo | Response payload |
data.ip | string | Obbligo | User IP address Esempio: 192.168.1.100 |
data.instant | object | array | Obbligo | Instant price (object for single, array for multiple). Only returned when type is empty, 'all', or 'instant' |
data.review | object | array | Obbligo | Review price (object for single, array for multiple). Only returned when type is empty, 'all', or 'review' |
*.warranty | string | Obbligo | Warranty type code Esempio: 1 |
*.warrantyName | string | Obbligo | Warranty type name Esempio: 标准版 |
*.deviceType | string | Obbligo | Device type Esempio: iphone |
*.price | number | Obbligo | Price (unit: CNY) Esempio: 10 |
ysucc | string | Obbligo | Success flag, returns "Ysucc" on success Esempio: Ysucc |
Query all prices
Without type, warranty, deviceType params, returns all combinations
Query instant prices only
type=instant, returns all instant prices
Codici di errore
000Lingua di risposta
Personalizza il linguaggio di risposta API con l'intestazione X-Lang. Gli esempi di codice qui sotto utilizzano automaticamente la lingua del tuo sito corrente.
X-Lang: itzh, en, zh-TW, vi, ar, es, ruAccetta-Language è anche supportato; X-Lang prende la priorità.
Esempi di codice
curl -X GET "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/price?token=your_api_token_here&type=instant&warranty=1&deviceType=iphone" \
-H "X-Lang: it"Note
- 参数通过 Query 或 x-www-form-urlencoded 传递
- 摆烂版(4)和高摆烂版(6)仅支持秒出 + iPhone,不支持 iPad 和审核/预约
- 价格可能因用户不同而有所差异(用户专属价格)
- 返回的价格为添加单台设备的费用
Provalo in Console
Compila i parametri qui sotto e invia una richiesta al test. Le richieste vanno solo all'API di questo sito; l'URL è bloccato e non può essere modificato e il cookie di login corrente è incluso.
https://testypro.iwai.cc/api/price?token=your_api_token_here&type=instant&warranty=1&deviceType=iphoneBloccato a questo sitoUser API token
Price type: instant or review. Empty or 'all' returns all types
Warranty type: 0/1/2/3/4/6. Empty or 'all' returns all warranty types
Device type: iphone or ipad. Empty or 'all' returns all device types